# dask.dataframe.Index.dropna

Index.dropna()

  Return a new Series with missing values removed.

  This docstring was copied from pandas.core.series.Series.dropna.

  Some inconsistencies with the Dask version may exist.

  See the User Guide for more on which values are considered missing, and how to work with missing data.

  Parameters:
    axis{0 or ‘index’} (Not supported in Dask)

      Unused. Parameter needed for compatibility with DataFrame.

    inplace bool, default False (Not supported in Dask)

      If True, do operation inplace and return None.

    how str, optional (Not supported in Dask)

      Not in use. Kept for compatibility.

    ignore_index bool, default `False` (Not supported in Dask)

      If `True`, the resulting axis will be labeled 0, 1, …, n - 1.

      Added in version 2.0.0.

  Returns:
    Series or None

      Series with NA entries dropped from it or None if `inplace=True`.

  See also

  `Series.isna`

    Indicate missing values.

  `Series.notna`

    Indicate existing (non-missing) values.

  `Series.fillna`

    Replace missing values.

  `DataFrame.dropna`

    Drop rows or columns which contain NA values.

  `Index.dropna`

    Drop missing indices.

  Examples

      >>> ser = pd.Series([1., 2., np.nan])
      >>> ser
      0    1.0
      1    2.0
      2    NaN
      dtype: float64

  Drop NA values from a Series.

      >>> ser.dropna()
      0    1.0
      1    2.0
      dtype: float64

  Empty strings are not considered NA values. `None` is considered an NA value.

      >>> ser = pd.Series([np.nan, 2, pd.NaT, '', None, 'I stay'])
      >>> ser
      0       NaN
      1         2
      2       NaT
      3
      4      None
      5    I stay
      dtype: object
      >>> ser.dropna()
      1         2
      3
      5    I stay
      dtype: object